# $PATHTO=/project/cmcwhite/github

# In directory feature_matrix/
# Annotate feature matrix with positive training interactions
# Missing 1 in base filename refers to a xcorr feature that hung and never ran
python $PATHTO/protein_complex_maps/protein_complex_maps/features/add_label.py --input_feature_matrix allplants_feature_matrix_unfilled_missing1.featmat --input_positives ../gold_standards/allComplexesCore_photo_euktovirNOG_expansion_merged09_size30_rmLrg_outsidesupport.train_ppis.txt.ordered --input_negatives ../gold_standards/allplants.labels.filt.negtrain.20k_a --sep , --ppi_sep '\t' --id_column ID --output_file allplants_feature_matrix_missing1.featmat.labeled --fillna 0 --id_sep ' '

# In directory feature_matrix/
# Remove unlabeld rows
grep -v ",0.0$" allplants_feature_matrix_missing1.featmat.labeled > allplants_feature_matrix_missing1.featmat.labeled1

# In directory feature_matrix/
# Remove ID and label columns
head -1 allplants_feature_matrix_missing1.featmat.labeled > allplants_all_features.csv 

# In directory feature_selection/
python $PATHTO/protein_complex_maps/protein_complex_maps/features/feature_selections.py --feature_names ../feature_matrix/allplants_all_features.csv --plainfeatmat ../feature_matrix/allplants_feature_matrix_missing1.featmat.labeled1 --output_file allplants_feature_matrix_missing1.featmat.labeled1.featselect

# In directory feature_matrix/
python $PATHTO/protein_complex_maps/protein_complex_maps/model_fitting/svm_utils/feature2featsel.py --input_feature_matrix allplants_feature_matrix_missing1.featmat.labeled --feature_file ../feature_selection/allplants_top100_features_ETC.txt --id_column ID --label_column label --output_filename allplants_feature_matrix_missing1.featmat.top100.labeled --sep ','

# In directory feature_matrix/
python $PATHTO/protein_complex_maps/protein_complex_maps/features/normalize_features.py --input_feature_matrix allplants_feature_matrix_missing1.featmat.labeled  --output allplants_feature_matrix_missing1.featmat.labeled.scaled --feature_file allplants_all_features.txt --sep ','

# In directory feature_selection/
python $PATHTO/protein_complex_maps/protein_complex_maps/features/feature_selections.py --feature_names ../feature_matrix/allplants_all_features.csv --plainfeatmat ../feature_matrix/allplants_feature_matrix_missing1.featmat.labeled1.scaled --output_file allplants_feature_matrix_missing1.featmat.labeled1.scaled.featselect

# In directory feature_matrix/
python $PATHTO/protein_complex_maps/protein_complex_maps/model_fitting/svm_utils/feature2featsel.py --input_feature_matrix allplants_feature_matrix_missing1.featmat.labeled.scaled --feature_file ../feature_selection/allplants_top100_features_scaled_ETC.txt --id_column ID --label_column label --output_filename allplants_feature_matrix_missing1.featmat.top100.labeled.scaled --sep ','

# In directory training/
#  edges = 5798, score > 0.509 = FDR > 10%

python /project/cmcwhite/github/protein_complex_maps/protein_complex_maps/postprocessing_util/diffusion_clustering.py --input_edges training/allplants_feature_matrix_missing1.unscaled.top100.edges --sep "\t" --outfile training/allplants_feature_matrix_missing1.unscaled.top100.edges.3steps.fdr10.threshold509.walktrap --method walktrap --use_scores --steps 3 --tree_cutoff_fractions 0.99 0.95 0.9 0.85 0.8 0.75 0.7 0.65 0.6 0.55 0.5 0.45 0.4 0.35 0.3 0.25 0.2 0.15 0.1 --header --threshold 0.509
